gsw_SP_from_SA {gsw} | R Documentation

## Convert from Absolute Salinity to Practical Salinity

### Description

Calculate Practical Salinity from Absolute Salinity, pressure, longitude, and latitude.

### Usage

    gsw_SP_from_SA(SA, p, longitude, latitude)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar
`longitude` | longitude in decimal degrees, positive to the east of Greenwich. (This is called `long` in the TEOS-10 Matlab code.)
`latitude` | latitude in decimal degrees, positive to the north of the equator. (This is called `lat` in the TEOS-10 Matlab code.)

### Details

If SP is a matrix and if its dimensions correspond to the lengths of longitude and latitude, then the latter are converted to analogous matrices with `expand.grid`.

Note: unlike the corresponding Matlab function, this does not return a flag indicating whether the location is in the ocean.

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

Practical Salinity (PSS-78) [ unitless ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_SP_from_SA.html

### See Also

Other things related to salinity: `gsw_C_from_SP`, `gsw_SA_from_SP_Baltic`, `gsw_SA_from_SP`, `gsw_SA_from_Sstar`, `gsw_SP_from_C`, `gsw_SP_from_SK`, `gsw_SP_from_SR`, `gsw_SP_from_Sstar`, `gsw_SR_from_SP`, `gsw_Sstar_from_SA`, `gsw_Sstar_from_SP`, `gsw_deltaSA_from_SP`

### Examples

    SA <-   c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    p <-    c(     10,      50,     125,     250,     600,    1000)
    lat <-  c(      4,       4,       4,       4,       4,       4)
    long <- c(    188,     188,     188,     188,     188,     188)
    SP <- gsw_SP_from_SA(SA,p,long,lat)
    expect_equal(SP, c(34.548721553448317, 34.727477488096639, 34.860554877708005,
                       34.680971112271791, 34.567971663653388, 34.560036751118204))

[Package gsw version 1.0-5 Index]